#ifndef __BIN_SOLVER_H__
#define __BIN_SOLVER_H__

#include "stopwatch.h"


extern Stopwatch gSW;
extern int gTimeOut;


class BinSolver
{
public:
  const char* name; //Solver name
  int argc; // number of arguments
  char** argv;
  int inputFileParam;

  char outFileName[512];
  char solverName[512];
  
  bool outFileCreated;
  
  BinSolver(const char* _name, int _argc, int _inputFileParam);
  ~BinSolver();

  int spawnBinary(char* binFile, char* argv[], char* outFileName, int timeout);

  virtual int execute(char* inputFile, int timeout, const char* mypath);
  virtual void cleanup();
};








#endif
